import { UmbLitElement } from '../../../../../core/lit-element/index.js';
export declare class UmbLogViewerMessagesListElement extends UmbLitElement {
    #private;
    private _logsScrollContainer;
    private _sortingDirection;
    private _logs;
    private _logsTotal;
    private _isLoading;
    private set _logViewerContext(value);
    private get _logViewerContext();
    private _renderPagination;
    render(): import("lit-html").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
declare global {
    interface HTMLElementTagNameMap {
        'umb-log-viewer-messages-list': UmbLogViewerMessagesListElement;
    }
}
